public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Arthur Zamarin" <arthurzam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sci-libs/arprec/
Date: Sun,  9 Jun 2024 03:57:10 +0000 (UTC)	[thread overview]
Message-ID: <1717905399.8ff6629193dc380b4d8fc2f679c07047894d69c7.arthurzam@gentoo> (raw)

commit:     8ff6629193dc380b4d8fc2f679c07047894d69c7
Author:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
AuthorDate: Sun Jun  9 03:56:28 2024 +0000
Commit:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
CommitDate: Sun Jun  9 03:56:39 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8ff66291

sci-libs/arprec: EAPI 6 -> 8

Closes: https://bugs.gentoo.org/526960
Signed-off-by: Arthur Zamarin <arthurzam <AT> gentoo.org>

 ...rprec-2.2.19.ebuild => arprec-2.2.19-r1.ebuild} | 27 ++++++++++++----------
 1 file changed, 15 insertions(+), 12 deletions(-)

diff --git a/sci-libs/arprec/arprec-2.2.19.ebuild b/sci-libs/arprec/arprec-2.2.19-r1.ebuild
similarity index 79%
rename from sci-libs/arprec/arprec-2.2.19.ebuild
rename to sci-libs/arprec/arprec-2.2.19-r1.ebuild
index b31b5b5c86c7..dc6ff68e1078 100644
--- a/sci-libs/arprec/arprec-2.2.19.ebuild
+++ b/sci-libs/arprec/arprec-2.2.19-r1.ebuild
@@ -1,7 +1,7 @@
-# Copyright 1999-2019 Gentoo Authors
+# Copyright 1999-2024 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=6
+EAPI=8
 
 FORTRAN_NEEDED=fortran
 FORTRAN_STANDARD=90
@@ -11,9 +11,10 @@ inherit autotools fortran-2
 DESCRIPTION="Arbitrary precision float arithmetics and functions"
 HOMEPAGE="https://crd-legacy.lbl.gov/~dhbailey/mpdist/"
 SRC_URI="https://crd.lbl.gov/~dhbailey/mpdist/${P}.tar.gz"
+S="${WORKDIR}/${PN}"
 
-SLOT="0"
 LICENSE="BSD"
+SLOT="0"
 KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
 IUSE="cpu_flags_x86_fma3 cpu_flags_x86_fma4 doc fortran qd static-libs"
 
@@ -24,20 +25,22 @@ PATCHES=(
 	"${FILESDIR}"/${P}-gold.patch
 )
 
-S="${WORKDIR}/${PN}"
-
 src_prepare() {
 	default
+	sed -e '/TESTS =/s/ io//' -i tests/Makefile.am || die # bug 526960
+
 	eautoreconf
 }
 
 src_configure() {
-	econf \
-		--enable-shared \
-		$(use_enable static-libs static) \
-		$(use_enable cpu_flags_x86_fma$(usex cpu_flags_x86_fma3 3 4) fma) \
-		$(use_enable fortran) \
+	local myeconfargs=(
+		--enable-shared
+		$(use_enable static-libs static)
+		$(use_enable cpu_flags_x86_fma$(usex cpu_flags_x86_fma3 3 4) fma)
+		$(use_enable fortran)
 		$(use_enable qd)
+	)
+	econf "${myeconfargs[@]}"
 }
 
 src_compile() {
@@ -75,10 +78,10 @@ src_install() {
 	fi
 
 	if ! use doc; then
-		rm "${ED%/}"/usr/share/doc/${PF}/*.pdf || die
+		rm "${ED}"/usr/share/doc/${PF}/*.pdf || die
 	fi
 
 	if ! use static-libs; then
-		find "${D}" -name '*.la' -delete || die
+		find "${D}" -type f -name '*.la' -delete || die
 	fi
 }


             reply	other threads:[~2024-06-09  3:57 UTC|newest]

Thread overview: 4+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2024-06-09  3:57 Arthur Zamarin [this message]
  -- strict thread matches above, loose matches on Subject: below --
2019-02-27  4:25 [gentoo-commits] repo/gentoo:master commit in: sci-libs/arprec/ Aaron Bauman
2017-12-15 10:16 Andrey Grozin
2016-11-24  8:34 David Seifert

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1717905399.8ff6629193dc380b4d8fc2f679c07047894d69c7.arthurzam@gentoo \
    --to=arthurzam@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox